<?php
// Convert a path name and a project identifier to a System V IPC key
$key1 = ftok(dirname(__FILE__) . '/ex1-token.php', 'A'); 
$key2 = ftok(dirname(__FILE__) . '/ex1-token.php', 'B'); 

// Creating a message queue with a key, we need to use an integer value.
$queue1 = msg_get_queue($key1);
$queue2 = msg_get_queue($key2);

// Send a message.
$mypid = posix_getpid();
msg_send($queue1, $mypid, 'dummy');
while(1) { 
    if ( msg_receive($queue2, $mypid, $msgtype, 4096, $message, false, MSG_IPC_NOWAIT) ) {
        echo parse_msg($message);
        exit();
    }
}

// Parse message
function parse_msg($message) {
    // e.g. $message => s:6:"000007";
    $items = explode(":", $message); 
    return substr($items[2], 1, (int)$items[1]);
}
?>
